#include <SoftwareSerial.h>

// Create three software serial ports
SoftwareSerial softSerial1(26, 27);  // RX, TX
SoftwareSerial softSerial2(29, 28);  // RX, TX
SoftwareSerial softSerial3(7, 6);  // RX, TX

void setup() {
  // Start the software serial ports with baud rate of 9600
  softSerial1.begin(9600);
  softSerial2.begin(9600);
  softSerial3.begin(9600);
  
  // Initialize the LED pins as outputs
  pinMode(0, OUTPUT);
  pinMode(1, OUTPUT);
  pinMode(2, OUTPUT);
}

void loop() {
  // Wait for a character on software serial port 1
  if (softSerial1.available()) {
    char c = softSerial1.read();

    // If the character is '1', turn on LED 1
    if (c == '1') {
      digitalWrite(0, HIGH);
    }
  }

  // Wait for a character on software serial port 2
  if (softSerial2.available()) {
    char c = softSerial2.read();

    // If the character is '1', turn on LED 2
    if (c == '1') {
      digitalWrite(1, HIGH);
    }
  }

  // Wait for a character on software serial port 3
  if (softSerial3.available()) {
    char c = softSerial3.read();

    // If the character is '1', turn on LED 3
    if (c == '1') {
      digitalWrite(2, HIGH);
    }
  }
}
  /